@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600;700;800&display=swap');
body{
margin: 0;
padding: 0px;
background: black;
font-family: 'Poppins', sans-serif;
}
/* navbar styles */
nav{
position: fixed;
z-index: 1;
left: 90%;
top: 20%;
}
nav ul{
   list-style: none;
}
nav ul:nth-of-type(odd){
    margin: 1rem;
}
nav li{
    padding: .6rem .6rem;
    background: transparent;
    border-radius: 50%;
    border: white 0.1rem solid;
    display: grid;
    color: #228B22;
    place-content: center;
    margin-top: 2rem;
    font-size: clamp(1rem,5vw,1.5rem);
}
nav li:hover{
    background: #228B22;
    color: white;
    border:#228B22 0.1rem solid;
}
/* End of navbar */

/* hero section */

.hero{
    /* background: url(images/Product\ School.jpg); */
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    height: 100vh;
    width: 100%;
    
}
.hero_intro{
    margin: 0;
    padding: 0;
    background: #000000d7;
    height: 100vh;
    width: 100%;
    display: grid;
    place-content: center;
}
#particles-js{
   position: absolute;
   height: 100%;
   width: 100%;
   z-index: -1;
}
p{
    font-family: 'Poppins', sans-serif;
    padding: 0;
    color: white; 
    height: max-content;  
    width: fit-content;
    font-size: clamp(2rem, 5vw, 2.5rem);
  
}
p span{
    font-family: 'Poppins', sans-serif;
    font-size: clamp(4rem, 5vw, 3.5rem);
    font-weight: 600;
}
button{
  height: fit-content;
  width: max-content;
  padding: .5rem 1rem;
  background: #228B22;
  border-radius: 2px;
  color: white;
  font-size:1.2rem;
  font-weight: 600;
  border: none;
  font-family: 'Poppins', sans-serif;
}
button:nth-of-type(2){
    background: transparent;
    border: 0.1rem #228B22 solid;
    margin-left: 10%;
}
.buttons{
    
    width: initial;
}

/* hero end */

/* about section */
.about{
    height: 110vh;
    width: 100%;
    background: #090F17;
    display: grid;
    place-content: center;
    grid-template-columns: 1fr ;
    grid-template-rows: 2fr 2fr;
       
   
}
.potrait{
    height: 60vh;
    width: 100%;
    display: flex;
    justify-content: center;
    
    /* grid-template-columns: 1fr 1fr;
    column-gap: 0;
    place-content: center; */
     /* background: blue;  */
}
img{
    height: inherit;
    width: auto;
    margin: 5% 5%;
    padding: 0 0;
    /* clip-path: circle(50% at 50% 50%); */
    /* clip-path: path( "M 650, 150 a 75,150 0 1,0 1,0 z"); */
    
}
.potrait p{
    padding: 0 0;
    margin: 5% 5%;
    font-size: 1.5rem;
    
    /* background: gray; */
    height: inherit;
    width: 30%;
}
.potrait p span{
    font-size: clamp(2rem, 5vw, 2.5rem)
}
svg{
    display: none;
}
 .skills{
    height: 40%;
    width: 80%;
    align-self: center;
    margin: auto;
    background: #111B28;
    border-radius: 12px;
    display: flex;    
 }
 .skills h1{
    margin: 0;
    padding: 1rem 1rem;
    color: white;
    font-family: 'Poppins', sans-serif;
 }
 .skills ul {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
 }
 .skills ul li{
    list-style: none;
    color: white;
    font-size: clamp(3.5rem,5vw,4rem);
    padding: 1rem 1rem;
    border-radius: 2px;
    margin: 0 .8rem;
 }
 /* .skills ul li:nth-child(3){
    padding: auto;
 } */
 /* .skills ul li:nth-child(1):hover::after{
content: "React";
position: absolute;
font-size: 2rem;
 }
 .skills ul li:nth-child(2):hover::after{
content: "Node Js";
position: absolute;
 }
 .skills ul li:nth-child(3):hover::after{
content: "Php";
position: absolute;
 }
 .skills ul li:nth-child(4):hover::after{
content: "Figma";
position: absolute;

 } */


 /* projects section */
 .projects{
    height: 150vh;
    overflow-y: scroll;
    width: 100%;
    background: #060B12;
 }
 .projects h1{
   margin: 0;
   padding: 1rem 5rem;
   color: white;
   font-size: clamp(2rem, 5vw, 2.5rem);
 }
 /* .projects div:nth-of-type(2) img{
    margin: 5% 5% 0 0;
 }
 .projects div:nth-of-type(2) p{
   
   margin-left: 5%;
 } */
 .project{
    height: 30%;
    width: 100%;
    display: flex;
    flex-direction: row;
    padding-top: 10%;
    
    /* background: gray; */
 }
 /* .project:nth-of-type(2){
    padding-top: 0%;
    padding-bottom: 5%;
 } */
 .project img{
    height: 100%;
    width: auto;
    align-self: flex-end;
    /* margin: 0% 5%; */
 }
 .project_description{
    height: 90%;
    width: 50%;
    background: #111B28;
    align-self: flex-start;
    margin: 0% 5% 0 0;
    padding: 1% 1%;
    border-radius: 12px;
    overflow-y: scroll;
    scroll-behavior: smooth;
    scrollbar-width: thin;
 }
 .project_description::-webkit-scrollbar{
   width: 0;
 } 
 .project_description span{
    font-size: 1.5rem;
 }
 .project_description span:last-of-type{
    font-weight: 200;
   
 }

 /* footer */
 footer{
    height: 100vh;
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    justify-items: center;
    place-content: center;
    background: #04070C;
    color: white;
 }
 form{
    display: flex;
    flex-direction: column;
    font-family: 'Poppins', sans-serif;
    height: 70vh;
    width: 30%;
    margin-top: 5%;
 }
 form span{
   font-weight: 600;
 }
 input{
    background: #4F5C88;
    border: none;
    color: white;
    height: 5%;
    font-family: 'Poppins' sans-serif;
    font-weight: 600;
    margin-top: 5%;
    border-radius: 6px;
    height: 8%;
    padding-left: 5%;
 }
 input:nth-of-type(2){
    background: #228B22;
    width: 30%;
    color: white;
    font-weight: 600;
    font-family: 'Poppins' sans-serif;
    margin-top: 5%;
    border-radius: 6px;
    padding-left: 0%;
    text-align: center;
    cursor: pointer;
 }
 #messagearea{
    height: 30%;
    margin-top: 5%;
    padding-left: 5%;
    background: #4F5C88;
    color: white;
    border: none;
    border-radius: 6px;
 }
.socials{ 
   width: 30%;
}
 .socials ul{
   list-style: none;
   display: grid;
   grid-template-columns: 1fr 1fr 1fr 1fr;
 
 }
 .socials ul li{
   margin: 5%;
   font-size: 1.5rem;
 }
 .socials ul li:hover{
   cursor: pointer;
 }
 #separator{
   width: 100%;
   background: white;
   height: .2rem;
 }
 .copyright{
   display: grid;
  width: 30%;
  margin-bottom: 5%;
 }
 ::placeholder{
   color: #111B28;
   font-size: 1rem;
   font-weight: 600;
 }

 /* media queries */
 @media (min-width:1080px) {
   .potrait p{
      line-height: 2rem;
   }
 }
 
 @media (max-width:720px) {
   p{
      padding: 0;
      color: white; 
      height: max-content;  
      width: fit-content;
      font-size: clamp(1.5rem, 5vw, 2rem);
    
  }
   .about{
      height: fit-content;
      width: 100%;
      display: flex;
      flex-direction: column;
      
     
  }
  .potrait{
   height: fit-content;
   width: 100%;
   display: flex;
   flex-direction: column;
   justify-content: center;
}
p span{
   font-size: clamp(3rem, 5vw, 3.5rem);
   font-weight: 600;
}
.potrait img{
   max-height: 65vh;
   width: auto;
   margin: 5% 5%;   
}
.potrait p{
   padding: 0 0;
   margin: 5% 5%;
   font-size: 1.5rem;
   height: inherit;
   width: 90%;
}
.skills{
   height: 40%;
   width: 90%;
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: center;
}
.skills h1{
  width: inherit;
}
   .skills ul {
      width: inherit;
      display: flex;
      flex-direction: row;
     flex-wrap: wrap;
     justify-content: center;
   }
   .project{
      height: 30%;
      width: 100%;
      display: flex;
      flex-direction: column;
      padding-top: 10%;
   }
   .project:nth-of-type(odd){
      background: gray;
   }
   .project img{
      height: auto;
      width: 80%;
      align-self: center;
      z-index: 0;
  
   }
   .project_description{
      height: auto;
      width: 50%;
      background: #111B28;
      align-self: flex-start;
      margin: 0% 5% 0 0;
      padding: 1% 1%;
      overflow-y: scroll;
      scroll-behavior: smooth;
      scrollbar-width: thin;
      z-index: 1;
   }
   footer{
      height: 100vh;
      width: 100%;
      display: grid;
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 1fr 1fr;
     
   }
   form{
      display: flex;
      flex-direction: column;
      height: 70vh;
      width: 90%;
      
   }
   .socials{ 
      width: 90%;
   }
 }
 .copyright{
   width: 90%;

  }
